IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

EDI Delphi Discussion :

Installation erronée de Delphi 10.4.2 avec les Jedi Cl 3.4 et VCL 3.9


Sujet :

EDI Delphi

  1. #1
    Membre du Club
    Profil pro
    Inscrit en
    août 2007
    Messages
    63
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : août 2007
    Messages : 63
    Points : 41
    Points
    41
    Par défaut Installation erronée de Delphi 10.4.2 avec les Jedi Cl 3.4 et VCL 3.9
    Je viens de passer de delphi 10.3.2(Community) à la version 10.4.2(Community). Mes programmes fait avec
    la 10.3.2 utilisaient les Jedi Cl(3.4) et VCL(3.9).
    Comme d'habitude je passe par le Getit de Delphi pour installer les Jedi CL et VCL. Et la horreur installation
    arrêtée (utilisation en ligne de commande refusée). Une vraie catastrophe.
    Si quelqu'un a réussi à installer les Jedi - je suis preneur d'avance Merci.
    Sinon je retournerai à Delphi 10.3.2.

  2. #2
    Membre émérite Avatar de pprem
    Homme Profil pro
    MVP Embarcadero - développeur Delphi, PHP et JS
    Inscrit en
    juin 2013
    Messages
    1 162
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Loiret (Centre)

    Informations professionnelles :
    Activité : MVP Embarcadero - développeur Delphi, PHP et JS
    Secteur : High Tech - Multimédia et Internet

    Informations forums :
    Inscription : juin 2013
    Messages : 1 162
    Points : 2 440
    Points
    2 440
    Par défaut
    Bonjour

    C'est bizarre comme erreur mais pas catastrophique.

    Refais une tentative au cas où et si ça ne passe pas, télécharge les directement de https://github.com/project-jedi d'où GetIt les prend.

  3. #3
    Membre du Club
    Profil pro
    Inscrit en
    août 2007
    Messages
    63
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : août 2007
    Messages : 63
    Points : 41
    Points
    41
    Par défaut Merci mais..
    J'ai télécharger Les Jedi CL et VCL effectivement sur le site approprié et je les ai exécuté via
    Install.bat. Idem catastrophe. Erreur de type « N'accepte pas l'exécution en ligne de commande

    Puis Je suis passé par le répertoire Install où se trouve les progs d'install*.dproj pour les 2 jedi CL et VCL.
    le 1er et 2ème me signalent des dll manquants du type JclBaseExpert27.dll et autres que j'ai oublié
    (je suis revenu à delphi 10.3.3) mais de toute ils sont du type *27.dll.

    Après compilation du JediCl on constate dans l'ajout des composants des lignes non
    cochées ou apparaissent des manques car absence des dll cités précédemment.

    C'est désespérant de voir qu'avec Delphi 10.3.3 l'installation par le Getit ou autre se fait sans aucun
    souci alors qu'avec le nouveau Delphi 10.4.2 community proposé par Embarcadero est un four.
    Je l'ai signalé à Embarcadero qui m'a gentiment précisé qu'il ne s'occupas des tiers même s'ils
    sont intégrés au Getit !

    C'est décevant.

  4. #4
    Membre émérite Avatar de pprem
    Homme Profil pro
    MVP Embarcadero - développeur Delphi, PHP et JS
    Inscrit en
    juin 2013
    Messages
    1 162
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Loiret (Centre)

    Informations professionnelles :
    Activité : MVP Embarcadero - développeur Delphi, PHP et JS
    Secteur : High Tech - Multimédia et Internet

    Informations forums :
    Inscription : juin 2013
    Messages : 1 162
    Points : 2 440
    Points
    2 440
    Par défaut
    Citation Envoyé par Paounet Voir le message
    C'est désespérant de voir qu'avec Delphi 10.3.3 l'installation par le Getit ou autre se fait sans aucun
    souci alors qu'avec le nouveau Delphi 10.4.2 community proposé par Embarcadero est un four.
    Je l'ai signalé à Embarcadero qui m'a gentiment précisé qu'il ne s'occupas des tiers même s'ils
    sont intégrés au Getit !

    C'est décevant.
    Je comprends ta position.

    GetIt est là pour simplifier les choses et mettre en avant des projets que l'on ne connaîtrait pas, mais chacun peut y soumettre ses solutions et Embarcadero se contente de gérer le catalogue.

    Jedi est un projet qui ne dépend pas d'Embarcadero, donc s'il ne se compile pas ou ne s'installe pas correctement, ils n'y peuvent pas grand chose. Il faut en parler avec l'équipe du projet par la soumission de tickets sur GitHub directement.

  5. #5
    Membre confirmé
    Avatar de alheuredudejeuner
    Homme Profil pro
    Développeur informatique
    Inscrit en
    août 2005
    Messages
    377
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Rhône (Rhône Alpes)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : août 2005
    Messages : 377
    Points : 635
    Points
    635
    Billets dans le blog
    4
    Par défaut avant getit
    Bonjiour

    La jcl-jvcl était gérée mondialement par des Lyonnais.

    quand est-il aujourd'huis?

    cordialement

  6. #6
    Membre habitué
    Homme Profil pro
    Responsable associatif
    Inscrit en
    octobre 2005
    Messages
    228
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 69
    Localisation : Madagascar

    Informations professionnelles :
    Activité : Responsable associatif

    Informations forums :
    Inscription : octobre 2005
    Messages : 228
    Points : 162
    Points
    162
    Par défaut
    chez moi c'est passé en utilisant les installateurs dans les répertoires bin de jcl et jvcl...

  7. #7
    Fxg
    Fxg est déconnecté
    Membre éclairé
    Homme Profil pro
    ingénieur financier
    Inscrit en
    septembre 2003
    Messages
    509
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Alpes Maritimes (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : ingénieur financier

    Informations forums :
    Inscription : septembre 2003
    Messages : 509
    Points : 820
    Points
    820
    Par défaut
    Le compilateur en ligne de commande n'est pas disponible dans la version 10.4.2 Community.

    Il faut donc procéder à une installation manuelle (package D27) qui fonctionne parfaitement même si un peu plus longue.

    Je viens de la terminer à l'instant en suivant le pas à pas de Gilles Vasseur : Installation

  8. #8
    Candidat au Club
    Homme Profil pro
    retraite
    Inscrit en
    octobre 2018
    Messages
    5
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 67
    Localisation : France, Bas Rhin (Alsace)

    Informations professionnelles :
    Activité : retraite
    Secteur : Administration - Collectivité locale

    Informations forums :
    Inscription : octobre 2018
    Messages : 5
    Points : 3
    Points
    3
    Par défaut INSTALLATION JEDI COMPOSANTS
    Citation Envoyé par Fxg Voir le message
    Le compilateur en ligne de commande n'est pas disponible dans la version 10.4.2 Community.

    Il faut donc procéder à une installation manuelle (package D27) qui fonctionne parfaitement même si un peu plus longue.

    Je viens de la terminer à l'instant en suivant le pas à pas de Gilles Vasseur : Installation
    Bonjour,
    je viens de me casser le nez sur l'installation des composants et bibliothèques JEDI depuis RAD STUDIO 10.4.2
    Quand je teste l'installation manuelle décrite plus haut, je tombe sur un message qui me propose de passer à la version pro
    et ne va pas plus loin.
    Comment se passer du compilateur en ligne de commande ?
    Pourriez-vous m'indiquer (très brièvement comment vous avez procédé ?)
    PP

  9. #9
    Membre habitué Avatar de oneDev
    Homme Profil pro
    Développeur informatique
    Inscrit en
    mars 2019
    Messages
    146
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 41
    Localisation : France, Seine Maritime (Haute Normandie)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Transports

    Informations forums :
    Inscription : mars 2019
    Messages : 146
    Points : 167
    Points
    167

Discussions similaires

  1. Réponses: 4
    Dernier message: 03/05/2012, 14h35
  2. Réponses: 7
    Dernier message: 09/04/2008, 05h13
  3. Réponses: 6
    Dernier message: 22/01/2008, 15h16
  4. Installation appli client Delphi / Interbase
    Par ETOKA dans le forum Bases de données
    Réponses: 6
    Dernier message: 22/01/2005, 13h09
  5. Installation du BDE Delphi impossible
    Par KERISIT dans le forum Bases de données
    Réponses: 1
    Dernier message: 17/01/2005, 22h16

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo